The wikis are now using the new authentication system.
If you did not migrate your account yet, visit https://idp-portal-info.suse.com/

YaST/模块/软件管理

< YaST‎ | 模块
Jump to: navigation, search

Susemini.png 本文处于翻译完成的状态,欢迎您积极参与翻译与修订。 翻译人员:kcbi,修订人员:kcbi。

关于

YaST 软件管理模块是openSUSE上主要的包管理工具。其主要用于安装或删除软件包。

安装软件

安装软件的过程非常简单。通过点击系统菜单下的YaST,或通过命令运行对话框(快捷键Alt+F2)运行Yast可以启动YaST程序,YaST启动过程中会要求输入root密码。通过YaST控制中心软件标签选择软件管理模块启动软件管理工具。

搜索需要的软件包,YaST会根据输入的搜索关键字在右侧列出全部匹配的软件包。您既可以按照软件包名字搜索,也可以根据软件包的描述进行搜索。同时此工具提供过滤器,使得您可以根据软件包的类别浏览软件。

选择您希望安装的软件,点击接受。如果您选择安装的软件包同时需要安装一些有依赖关系的软件包,YaST会提示您确认。一旦确认,YaST会从软件安装源下载并安装软件。

Yast-software-installation2.png

可用软件

YaST软件管理可用的软件包数量取决于您所添加的软件安装源。默认情况下,从openSUSE10.2之后,在安装过程中可以添加的软件源只有只有安装用CDs/DVD和官方软件源。阅读更多关于查找、添加软件源的内容 在此文中

更新软件

YaST软件管理可以安装、删除软件包,同样此工具也可以升级有新版本可用的那些软件包。这种情况一般表现在所添加的软件安装源是非官方软件源或不被支持的软件源的情况下。官方的安全相关或bug修正相关的更新一般通过 YaST 在线升级 进行安装。

存在新版本的软件在软件管理中以蓝色文本标出 - 右键这种软件包选择升级

当有新版本可用时,您也可以选择升级全部软件包。需要注意的是升级是存在风险的,在执行升级前,尤其是升级前的系统已经可以令您满意的时候,请谨慎选择升级。过程是这样的:在工具上部的菜单上点击软件->全部软件->如果存在新版本则升级

疑难解答

当软件源的内容发生改变时,必须从软件安装源重新刷新软件包列表。如果软件包列表不是最新的,YaST在安装软件包的时候会提示软件包不存在的错误信息。需要刷新软件源,从YaST打开安装源对话框,选择需要的软件源并点击编辑 -> 刷新

查看相关

外部链接